#!/bin/bash

echo -ne "FuseJS: running javascript lint on sources"

PLATFORM=`uname -s`

SOURCES=~/Work/fusejs

if [ $PLATFORM == 'Darwin' ]; then
  JSL=./bin/jsl_macos
elif [ $PLATFORM == 'Linux' ]; then
  JSL=./bin/jsl_linux
elif [ $PLATFORM == 'Windows' ]; then
  JSL=./bin/jsl.exe
fi

pusdh . 2&> /dev/null

cd $SOURCES

> $SOURCES/lint.log

for item in `find $SOURCES/src -type d`
do {
  sources=`ls $item/*.js 2>/dev/null`
  for file in $sources
  do {
    $JSL -conf bin/conf/jsl.conf -nologo -nofilelisting -nocontext -nosummary -process $file >> $SOURCES/lint.log
    echo -ne "."
  } done
} done

echo ""

popd 2&> /dev/null

exit 0
